Bug 335061 - crash mod command does not search the same directories as modutils do
crash mod command does not search the same directories as modutils do
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: crash (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Anderson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-16 14:49 EDT by Charlotte Richardson
Modified: 2008-07-24 15:33 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0673
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:33:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch file (660 bytes, patch)
2007-10-16 14:49 EDT, Charlotte Richardson
no flags Details | Diff

  None (edit)
Description Charlotte Richardson 2007-10-16 14:49:16 EDT
Description of problem:
Crash does not search for modules in the same order as the modutils (depmod,
modprobe, insmod) do. It should find /lib/modules/<kernel>/updates before
finding /lib/modules/<kernel> files.


Version-Release number of selected component (if applicable):
crash-4.0


How reproducible: every time
Place a loadable module into /lib/modules/<kernel>/updates/... that has the same
name as a standard module and modprobe it in. modinfo will then show it as
coming from the updates directory but mod -s <modulename> or mod -S in crash
will show the module in the standard directory. Crash is doing a "find" command
in /lib/modules/<kernel> and so finds the original file first.


Steps to Reproduce: (see above)
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
See attached path file for fix to kernel.c.
Comment 1 Charlotte Richardson 2007-10-16 14:49:16 EDT
Created attachment 229141 [details]
patch file
Comment 2 Dave Anderson 2007-10-16 15:12:00 EDT
Hi Charlotte,

Thanks for carrying this to the patch-submission point, I appreciate
that.

I just spoke with Kimball Murray about this, without knowing that
you had already filed a bugzilla.  Anyway, I suggested to him that
you join the crash-utility@redhat.com mailing list, and that you
post your findings and the patch there.  Could you possibly do
that?  I'll send you an invite now -- you can always quit later.
But it's worth at least keeping it in "digest" mode.

BTW, can you also confirm that this also applies to RHEL5?
I would think it should, but I wasn't even aware of the
existence of the "updates" directory. 

Comment 3 Charlotte Richardson 2007-10-16 15:33:13 EDT
I told Kimball I would submit it when I had a patch ready. I haven't tried RHEL5
yet, but I need to build that soon. I'll update this Bug when I know more.

I joined the mailing list, thanks.

/Charlotte
Comment 4 Dave Anderson 2007-11-20 11:06:33 EST
The fix is included in upstream release 4.0-4.9.

From: http://people.redhat.com/anderson/crash.changelog.html

     - Fix for the "mod" command to search for module object files in the
       /lib/modules/<release>/updates directory tree before looking
       in /lib/modules/<release>.  (charlotte.richardson@stratus.com)
Comment 5 RHEL Product and Program Management 2007-11-28 22:56:39 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Dave Anderson 2008-02-01 14:58:43 EST
MODIFIED: CVS Tag: crash-4_0-5_0_0
Comment 11 errata-xmlrpc 2008-07-24 15:33:20 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0673.html

Note You need to log in before you can comment on or make changes to this bug.